org.richfaces.fragment.inplaceInput

## Interface ConfirmOrCancel

- All Known Implementing Classes:
    AbstractConfirmOrCancel, RichFacesInplaceInput.ConfirmOrCancelImpl, RichFacesInplaceSelect.ConfirmOrCancelImpl

      public interface ConfirmOrCancel

  Class for confirming the already typed text in various input components, or for canceling it, and returning to the previous state.
  Author:
    Juraj Huska

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text.
    `void` | `cancelByControlls()` By using the built in controls, it cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text.
    `void` | `confirm()` Confirms the text which is in the input during its editing state.
    `void` | `confirmByControlls()` By using the built in controls, it confirms the text, which is in the inplaceInput during its editing state.

- - ### Method Detail

    - #### confirm

          void confirm()

      Confirms the text which is in the input during its editing state. In other words, an user firstly type text, and then confirms it in order to really change it.

    - #### confirmByControlls

          void confirmByControlls()

      By using the built in controls, it confirms the text, which is in the inplaceInput during its editing state. In other words, a user firstly type text into the inplaceInput and then confirms it in order to really change the input's value.
      Throws:
        `IllegalStateException` - when the inplaceInput on which it was called does not contain controls

    - #### cancel

          void cancel()

      Cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text. In other words, an user firstly type text, then change his/her mind and can return back to the previous state by issuing this method.

    - #### cancelByControlls

          void cancelByControlls()

      By using the built in controls, it cancels the text which is in the input during its editing state, thus it returns back the previous confirmed text. In other words, an user firstly type text, then change his/her mind and can return back to the previous state by issuing this method.
      Throws:
        `IllegalStateException` - when the inplaceInput on which it was called does not contain controls

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.